# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from __future__ import absolute_import

__metaclass__ = type

from datetime import datetime

from storm.locals import SQL


DEFAULT = SQL("DEFAULT")

# We can't use 'infinity', as psycopg doesn't know how to handle it.
INFINITY_DATETIME = datetime(3000, 1, 1)
INFINITY = SQL("'%s'::TIMESTAMP WITHOUT TIME ZONE" % INFINITY_DATETIME)

UTC_NOW = SQL("(CURRENT_TIMESTAMP AT TIME ZONE 'UTC')")
