# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "ITestTeam",
    ]

from lazr.restful.declarations import export_as_webservice_entry

from lpresults.registry.interfaces.team import ITeam

from lpresults.tracker.interfaces.testperson import ITestPerson


class ITestTeam(ITeam, ITestPerson):
    """A test team.

    This extends the concept of a team with test information.
    """
    export_as_webservice_entry(singular_name="team")
